import express from 'express'
import { createCustomer ,getAllCustomer,getCustomer} from '../controllers/CustomerControllers.js'
import protect from '../middleware/auth.js'

const router = express.Router();

router.post("/",protect, createCustomer);
router.get("/", protect,getAllCustomer);
router.get("/:id",protect, getCustomer);

export default router